LINUX.ORG.RU

KDE Plasma 5.14

 , , ,


0

3

9 октября 2018 состоялся выпуск KDE Plasma с номером версии 5.14. В этом выпуске много усилий было приложено к улучшению Discover — пакетного менеджера для KDE Plasma. Среди прочего, хотелось бы выделить добавление возможности обновления прошивок из Discover а также едва заметных улучшений графического интерфейса для полее приятного пользования программой. Были переработаны графические эффекты оконного менеджера KWin. А также добавлен новый виджет управления дисплеями.

Полный лог изменений KDE Plasma 5.14 доступен по ссылке.

  • Новые возможности:
  • Plasma Discover
    • Поддержка fwupd — обновления прошивки
    • Поддержка каналов Snap
    • Возможность отображать и сортировать приложения по дате выхода
    • Теперь видны зависимости приложения
    • При установке пакета Flatpak Discover предлагает установить Flatpak бекенд, если оный отсутсвует
    • Отображение информации о замене пакетов в случае обновления
    • Множественные но небольшие улучшения графического интерфейса
    • Множественные исправления ошибок
  • KWin и Wayland:
    • Исправлена работа copy&paste между GTK и не-GTK приложениями в Wayland
    • Исправлено положение переключателей заданий: теперь они выровнены по центру
    • Исправлены ограничения для указателя мыши
    • Два новых интерфейса: XdgShell и XdgOutput для еще большей интеграции приложений с оболочкой
    • Масштабное улучшение эффектов KWin (переработанный эффект Glide)
  • Исправления ошибок
    • Исправлены артефакты при размытии фона контекстных меню
    • Устранена возможность случайного drag&drop кнопок менеджера задач в окна приложений

>>> Официальная новость (на русском)

Ответ на: комментарий от curufinwe

Тебя что, опять цитатами закидать?

Приводи цитаты, конечно, разберём написанное.
Я говорил про универсальность и описывал в деталях, но в твоеq голове это почему-то сложилось в то, что я, оказывается, постулирую взаимозаменямость CE и 10.

Exmor_RS ★★ ()
Последнее исправление: Exmor_RS (всего исправлений: 2)
Ответ на: комментарий от duott

Проблемы есть. Но в основном они из-за непонимания репозиториев. Пользователь есть пользователь. И репозитории оберегают его от проблем.

Вот сидят люди (нормальные, не этот шизик) на Дебьяне и на КДЕ, который в принципе устарел, и сидят. И в ус не дуют, потому что работают, потому что установка нового КДЕ для них не самоцель, совершенно. Ты же не бежишь выкидывать машину, или телевизор, или компьютер как только вышла новая модель? Даже если есть деньги. Потому что тебе работать надо, а не фигнёй страдать. Так вот, достаточно мало софта требует немедленного обновления, это онлайн штуки, зависящие от версии. Ну например Майнтест, вышел новый, перевели сервера на новую версию и ты сосёшь лапу, пока не обновишься. Такие программы единичны и просто обязанны поставляться единым бандлом, в котором зависимости запакованы на всякий случай и которые не ломают систему. А серьёзные рабочие программы, они работают примерно одинаково и от отсутствия новой плюшки сильно ничего не поменяется. Нету страшной нужды ДЕБЬЯНЩИКАМ сидеть на острие ножа. А если хочется впердепланетного - то вот тебе арч, гента, зюзя и их производные, сиди на острие ножа. Но проблема в том, что часто релиз ещё далеко не рабочая версия, релиз многие делают «ну хватит уже, надо выкатывать что есть», а люди не могут работать, и поскольку в арче не только конучная программа N распоследней версии, но и вся система, то может трясти нехило. Представь себе, что ты достал бы винду, разрабатывемую версию и стал на ней жить. Трясло бы не меньше и орал бы «сукегдерепыа?».

Убунта же «одной ногой в прошлом, другой приветствует будущее», от того и страдает. Кроме того, когда появился и почему появился неон а заострять не буду, но скажу, что сообщество думающих людей в целом было против неона. И почему уж передавили и убедили кдешников, что это хорошо, не знаю, не слежу, но я твёрдо убеждён, именно такие проекты как неон заставляют людей думать, что так можно жить и начинают огребать проблемы и начинают сомневаться в правильности системы репозиториев в целом. От неона больше вреда, чем пользы. Если автор неона хотел создать что-то на основе Убунты и деб пакетов, то всё же должен был форкать полностью всю систему. Вот посмотри на проект Bodhi, посмотри на Mint, они стараются перекрыть все пересекающиеся пакеты, вот как надо делать. И система ppa хороша для нестандартных сборок приложений и обновлённых версий, хорошо когда сами разработчики программы ведут свой ppa, это надёжно, это не по свалкам шашкаться, но нельзя взять и основу твоей рабочей среды, затрагивающую всё, от драйверов до самой обоины ставить в разрез системе. Просто нельзя. Если ты за такое берёшься, будь добр, сделай дело до конца, разреши все проблемы, иначе те, кого ты за собой повёл огребут. (это я как бы автору неона)

Chelobaka ★★★★ ()
Ответ на: комментарий от Chelobaka

хорошо когда сами разработчики программы ведут свой ppa,

Если дистрибутив один, а не пара десятков. Но зачем думать о таких мелочах.

Коммунизм тоже был красивой идей, а реализовать можно только на уровне «отнять и поделить». Отняли и поделили, чо.

Exmor_RS ★★ ()
Ответ на: комментарий от anonymous

Не забудь еще сказать что игры не нужны и люди кто их делает идиоты и дауны

Я сам люблю поиграть конечно. Но всё же, считаю, что создание игры интересней самой игры.

тот же дядя Габен над тобой поржет , когда очередная порция людей купит ему на новую тачку

Рад за твоего дядю :)

RedEyedMan4 ★★★★★ ()
Ответ на: комментарий от RedEyedMan4

Ну я тоже неадекватно частенько себя веду, нагрубить могу, но он уж ни в какие ворота. И главное - он даже себе не может признаться, что лишка дал, он уверен, что прав и вокруг дауны. Макнуть бы его разок-другой.

Chelobaka ★★★★ ()
Ответ на: комментарий от Exmor_RS

Приводи цитаты, конечно, разберём написанное.

Смысла нет, ты опять начнешь изворачиваться, проходили уже.

А вообще, если подытоживать все в целом, так ты слона не продашь. Я в целом не противник самодостаточных пакетов, но каждый раз после спора с тобой ловлю себя на мысли, что становлюсь противником. Потому что если ты хочешь кого-то в чем-то убедить, попробуй для начала не оскорблять собеседника. А для конца - поставить себя на место собеседника, по своему же методу.

Ты постоянно пишешь, что надо уметь ставить себя на место других. Но этих других ты выбираешь очень избирательно почему-то. На место меня, или себя в период «конпеляния» ставить твоя религия запрещает. Только на место ламеров можно.

Так вот это не конструктивно ни разу. Не продашь ты так слона.

curufinwe ★★★★★ ()
Ответ на: комментарий от curufinwe

Не продашь ты так слона.

Тебе 5 лет?

Я в целом не противник самодостаточных пакетов, но каждый раз после спора с тобой ловлю себя на мысли, что становлюсь противником.

не оскорблять собеседника

Я не оскорблял, а легонько журил, до твоего (и двух других твоих товарищей) уровня я не опускался (ну может шутейка про пирожок мамкин была на грани).

На место меня, или себя в период «конпеляния» ставить твоя религия запрещает.

Я уже был на этом месте и прекрасно всё знаю и помню.
У меня нет желания кичиться своим умением компилировать в линуксе что-либо или тем что я допустим умею вимом пользоваться.

Только на место ламеров можно.

Вот основная причина моей критики и «оскорблений».
Ты считаешь нормальных людей «ламерами» и принижаешь их.
У тебя и сейчас проблем нет и не будет после того как желаемые мной изменения вступят в силу — арчь или манджаро с исходниками у тебя никто не забирает.
А вот у нормальных людей появится возможность нормально жить в системе.

Благодаря моему опыту, наблюдениям и выводам прошедшим несколько стадий проверки я чётко понимаю на что стоит тратить время пользователя, а на что нет.

Ты п**ор)))

С уважением,
Эксмор Р.С.

Exmor_RS ★★ ()
Последнее исправление: Exmor_RS (всего исправлений: 1)
Ответ на: комментарий от Exmor_RS

координальной переделки

Какой грамотный вендоёб к нам заглянул!

Фанатик не понимает, что ОС это универсальная сущность и в современных реалиях не так много задач требующих координальной переделки нормальной платформы под конкретную задачу — потому что она и так универсальна.

Ну разверни рабочую станцию на Android или iOS, универсальный ты наш.

templarrr ★★★★★ ()
Ответ на: комментарий от Chelobaka

А если хочется впердепланетного - то вот тебе арч, гента, зюзя и их производные, сиди на острие ножа.

Там на острие ножа не только пользовательский софт, но и всё в целом.

Линукс юзаю давно, но пока ни разу не видел, чтобы у меня от обновления ядра, иксов или чего-то подобного что-то начинало работать лучше :) Вот поднимать систему после подобного апдейта приходилось неоднократно. Поэтому LTS Убунты - самое то для подобных вещей (ИМХО).

А кеды и софт при этом хочется последние. Ну что поделать, люблю я кеды. И не понимаю наотрез, почему в винде 10-летней давности, когда что-то вышло, я могу это скачать и поставить, а в линухе надо по году ждать. Как с версиями Андроида выходит - сиди жди, пока тебе производитель выкатит новую прошивку, если вообще до твоего телефона дойдет.

И на большинстве дистрибутивов приходится делать выбор: либо поднимай систему после каждого апдейта, либо жди свежих кед фиг знает сколько. На Неоне не приходится. Тем и нравится. Что на нем что-то криво ставится - узнал первый раз здесь от вас.

А какая альтернатива? Последние кеды паковать в бандл?:) Мне кажется, легче все же пару прог поставить, у которых проблемы.

duott ★★★★★ ()
Последнее исправление: duott (всего исправлений: 1)
Ответ на: комментарий от Exmor_RS

Ещё раз тебе говорю, сотни дистров с нескучными обоями (или пусть двадцатка наиболее популярных) с нескучными обоями это не ОС под задачи, это следствие шизофрении и желание борцунствовать.

А теперь еще посчитай количество васяносборок винды.

templarrr ★★★★★ ()
Ответ на: комментарий от templarrr

А теперь еще посчитай количество васяносборок винды.

Платиновые аргументы фанатиков за 300.
На них на всех один формат установочных пакетов поддерживается.
Это просто поставки с предустановленным софтом и настроенными конфигами (и они совсем нишевые в отличии от популярных линукс дистров).

Линуксовые дистры несовместимы друг с другом на уровне пакетов — они используют одинаковые компоненты, но из-за сквозных зависимостей, васянопатчей и различных версий либ становятся абсолютно несовместимыми (хорошо если иногда можно выдрать простой пакет и поставить его в другом дистре алиеном).

А вообще перечитывай тред, на многие твои будущие вопросы, я уже ответил другим юзерам.

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

Линуксовые дистры несовместимы друг с другом на уровне пакетов

И что с того? Для кроссдистрибутивных пакетов уже давным-давно есть appimage, flatpak и snap. Если разные форматы пакетов все еще пугают, ставишь дефолтную убунты и никогда не встречаешь проблем, связанных с форматом пакета.

templarrr ★★★★★ ()
Ответ на: комментарий от templarrr

appimage, flatpak и snap.

Ещё один думает, что я не знаю про это.
Диды в дистрах им активно копротивляются из-за чего такого софта очень мало (но в целом думаю всё позитивно и более менее увеличивается список собранного софта и поддерживающих дистров конечно, но пока недостаточно).

И те же КЕДы не поставить из снапов, хотя как раз на линуксе такую гибкость системы можно обеспечить за милую душу.

Короче ты не понимаешь градуса здешнего обсуждения)))

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

Ещё один думает, что я не знаю про это.

Знаешь, но упорно игнорируешь, потому что иначе не получится вопить: "В ВИНДЕ И В МАКИ УСТАНОВКА СОФТА ЛУЧШИ!!!!"

Диды в дистрах им активно копротивляются из-за чего такого софта очень мало

Лалка, снапы с флэтпаками как раз и придумали, чтобы разработчик софта мог обойти ненавистных тобой дидов, если ему так нужно/хочется. Мейнтейнеры дистров у ним не имеют _вообще_ никакого отношения. Если софтины нет в snap/flatpak, это потому, что её разработчик не посчитал нужным пакетить ее в snap/flatpak, а не потому что твои воображаемые диды ему запретили.

templarrr ★★★★★ ()
Ответ на: комментарий от Exmor_RS

И те же КЕДы не поставить из снапов

И кто же запрещает разработчикам KDE создать снап? Я что ли лично? Чем я тебе помешал?

Создавай свои снапы сколько угодно. Если будет необходимость, я даже их установлю и спасибо скажу.

А пока я просто обновился и получил сабжевую плазму 5.14 из репов, и просто продолжаю работать на свежей версии софта, без драм и оскорбления окружающих. Ч.т.д.

curufinwe ★★★★★ ()
Ответ на: комментарий от templarrr

а не потому что твои воображаемые диды ему запретили.

DE нельзя обновить из снапа, максимум частями как криту.

Знаешь, но упорно игнорируешь, потому что иначе не получится вопить: «В ВИНДЕ И В МАКИ УСТАНОВКА СОФТА ЛУЧШИ!!!!»

Не игнорирую, я тебе выше написал, что софта мало.

Вторая моя претензия никуда не девается, даже при наличии флатпаков и снапов — дистрибутивы слишком сильно фрагментируют зачатки платформы.

Пару тройку дистров с их производными надо решительно выпиливать, горшочек не вари. И DE тоже надо одно оставить и не важно какое, главное чтобы оно стало базой для платформы.

Exmor_RS ★★ ()
Ответ на: комментарий от duott

И не понимаю наотрез, почему в винде 10-летней давности, когда что-то вышло, я могу это скачать и поставить, а в линухе надо по году ждать.

Еще один, видимо это заразно. Почему у меня сейчас плазма 5.14, как это объяснить? Почему я не жду год? Мне кто-нибудь может объяснить, что с вами не так?

curufinwe ★★★★★ ()
Ответ на: комментарий от Exmor_RS

DE нельзя обновить из снапа, максимум частями как криту.

То есть твоя божественная альтернатива репам непригодна для использования по прямому назначению - для обновления софта. Ч.т.д. О чем тогда мы спорим вообще?

Вот это поворот, блин, я даже не ожидал такого обосрамса.

curufinwe ★★★★★ ()
Последнее исправление: curufinwe (всего исправлений: 1)
Ответ на: комментарий от templarrr

Специально для шлангов высокого давления — речь, разумеется, идёт о дизайне графического интерфейса.

(Если ты хотел сострить, что, мол, «дизайн ПО» — это его программный дизайн, то бишь архитектура, то просто не надо. Все прекрасно понимают контекст обсуждения.)

А в обсуждениях эргономики кед (той самой, которая про относительные размеры и расстояния между разными элементами интерфейса, визуальную загромождённость и т. п.) было сломано уже столько копий, что повторяться не имеет смысла.

intelfx ★★★★★ ()
Последнее исправление: intelfx (всего исправлений: 3)
Ответ на: комментарий от Exmor_RS

Пару тройку дистров с их производными надо решительно выпиливать, горшочек не вари. И DE тоже надо одно оставить и не важно какое, главное чтобы оно стало базой для платформы.

Высылай расстрельные команды. Ведь когда ты уничтожишь альтернативные дистрибутивы/DE, то их разработчики радостно пойдут пилить то, что ты решил оставить, а не пошлют тебя нахуй.

templarrr ★★★★★ ()
Ответ на: комментарий от DrRulez

Монсеньор — человек, которому небезразлично удобство использования софта, за которым он проводит примерно половину своей жизни. А удобство складывается из мелочей.

intelfx ★★★★★ ()
Ответ на: комментарий от curufinwe

А пока я просто обновился и получил сабжевую плазму 5.14 из репов, и просто продолжаю работать на свежей версии софта, без драм и оскорбления окружающих.

Да-да, у тебя тру-дистр, я уже писал по этому поводу.

И кто же запрещает разработчикам KDE создать снап? Я что ли лично? Чем я тебе помешал?

Надеюсь, что только засевшие дидовские закидоны, учитывая что ту же криту собирают.

Я не тестировал софт который взаимодействует с тем же systemd и X11(в плане каких-то своих конфигов) — могу лишь гадать о том, что архитектура дистрибутивов может быть не готова к поддержке таких пакетов которые требуют взаимодействия с системными компонентами.

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

могу лишь гадать о том, что архитектура дистрибутивов может быть не готова к поддержке таких пакетов которые требуют взаимодействия с системными компонентами

Ох надо же, похоже ты наконец решил поставить себя на место себя и даже понемногу начал прозревать.

curufinwe ★★★★★ ()
Ответ на: комментарий от curufinwe

Ну т.е. ты признаёшь, что дистростроители (с авторами DE) всё же сопротивляются и не идут на контакт с разработчиками самодостаточных пакетов?
Им нужен какой-то консилиум и переработка фридесктопа, под новую модульную архитектуру.

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

Пускай шлют, только качество того, что ты оставил, от этого не вырастет. IRL если каким-то образом оставишь только одну DE, то пользователи этого DE (скорее всего гнома) ничего не заметят, пользователи альтернативных DE пошлют тебя нах и свалят на винду/мак, виндузятники и маководы даже не узнают об этом. И кому от DE-фашизма стало лучше?

templarrr ★★★★★ ()
Ответ на: комментарий от templarrr

Платформе. Фанатики и борцуны сгинут, а придут новые люди которые с чистой головой будут использовать базу/платформу и будут заняты созданием приложений под неё, а не грызнёй о том какое ДЕ лучше или какую библиотеку сунуть в текущий срез репозитория.

Чем больше будет пользователей у этого гипотетического гнома тем больше будет возможностей давить на разработчиков, чтобы они уменьшили размеры кнопок, или появится команда которая сделает свою тему и абсолютно все пользователи линукса смогут её поставить, а не отдельные счастливчики у которых соберётся.

Это не фашизм, это работа садовника, удаляющего сорняки, ухаживающего за почвой и растениями. Нам нужно не 15 конкурирующих стандартов, а только один стандарт на который все ориентируются, а конкурировать можно прекрасно с маком и виндой.

Exmor_RS ★★ ()
Последнее исправление: Exmor_RS (всего исправлений: 1)
Ответ на: комментарий от templarrr

2-3 команды в терминале

Спасибо не надо, знаю я эти три команды, и что они работают пока ты не делаешь шаг в сторону.

И что?

И то, читай тред. Это уже по пять раз обсосали, вкратце оперативная доставка обновлений, которой управяет пользователь, а не мейнтейнер.

Exmor_RS ★★ ()
Ответ на: комментарий от duott

Вот поднимать систему после подобного апдейта приходилось неоднократно.
Поэтому LTS Убунты - самое то для подобных вещей (ИМХО).

Как это хорошо у тебя получилось :) Именно для этого бубунта и нужна, героически отвоёвывать систему после обновления релиза. И даже на lts ветке попробуй поставить обновлённые иксы и дрова, которые бэкпортированы из следующих версий, Убунтовцы для этого даже шаманское заклинание для копипасты выкладывают, вот только ни разу у меня оно не сработало, всё надо по форумам шариться и искать правильное заклинание. Этим меня бубунта добила окончательно. Я не могу даже скопипастить официальную команду для обновления бэкпортированных компонентов с официального сайта. Они слишком много наколдовали, система должна быть проще.

Вот Манджара, он зи озир хэнд, мне даёт бесперебойную работу. Мне и заклинаний никаких не надо, просто командами и логикой разруливаю ситуацию. Было всего два раза, когда пришлось обновлять систему из консоли, а не из Pamac, один раз пакману надо было помочь решить какой пакет выбрать, а второй раз с помощью mhwd сменить энвидию с новейшей версии на 390ую, потому что карточка стареет. Всё! Не было никаких зависших обновлятелей на следующий релиз, не было перезагрузок в терминал, потому что обновилось криво и не работает больше. Всё просто работает. Нету никакого следующего релиза системы, есть просто обновление, иногда даже по частям. Вот ты можешь себе представить на убунте половину кде обновлённой, а половину ещё старой? А оно работает, прикинь? И даже то, что я кути обновил не ломает старой части кде, делают умно! Нет на планете такой компании Манджаро Линукс, с менеджерами прессаташе и релизмейкерами, как у убунте, но работает оно лучше. Может потому и лучше, я не знаю. Вот им я бы тоже памятник поставил, спасибо и им и арчевцам.

Chelobaka ★★★★ ()

Поддержка глобального меню для GTK приложений

открываю другую новость:

В GNOME 3.32 будет прекращена поддержка глобального меню

grem ★★★★★ ()
Ответ на: комментарий от Exmor_RS

Платформе. Фанатики и борцуны сгинут, а придут новые люди которые с чистой головой

С чего это вдруг? Прознают что в линуксах остался только гном и уже можно набигать?

templarrr ★★★★★ ()
Ответ на: комментарий от Exmor_RS

И то, читай тред. Это уже по пять раз обсосали, вкратце оперативная доставка обновлений, которой управяет пользователь, а не мейнтейнер.

Добавляй ppa и обновляй, как тебе зависимости мешают-то?

templarrr ★★★★★ ()